package com.qmth.sop.business.bean.result;

import io.swagger.annotations.ApiModelProperty;
import org.jetbrains.annotations.NotNull;

import java.io.Serializable;

/**
 * @Description: 甲方审核意见 result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/8/6
 */
public class FlowFormSuggestionJiaResult implements Serializable, Comparable<FlowFormSuggestionJiaResult> {

    @ApiModelProperty(value = "时间")
    private Long createTime;

    @ApiModelProperty(value = "审核人")
    private String approveUserName;

    @ApiModelProperty(value = "审核操作")
    private String approveOperation;

    @ApiModelProperty(value = "表单审核意见")
    private String approveFormSuggestion;

    @ApiModelProperty(value = "表单审核签名")
    private String approveFormSign;

    public FlowFormSuggestionJiaResult() {

    }

    public FlowFormSuggestionJiaResult(Long createTime, String approveUserName, String approveOperation, String approveFormSuggestion, String approveFormSign) {
        this.createTime = createTime;
        this.approveUserName = approveUserName;
        this.approveOperation = approveOperation;
        this.approveFormSuggestion = approveFormSuggestion;
        this.approveFormSign = approveFormSign;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public String getApproveUserName() {
        return approveUserName;
    }

    public void setApproveUserName(String approveUserName) {
        this.approveUserName = approveUserName;
    }

    public String getApproveOperation() {
        return approveOperation;
    }

    public void setApproveOperation(String approveOperation) {
        this.approveOperation = approveOperation;
    }

    public String getApproveFormSuggestion() {
        return approveFormSuggestion;
    }

    public void setApproveFormSuggestion(String approveFormSuggestion) {
        this.approveFormSuggestion = approveFormSuggestion;
    }

    public String getApproveFormSign() {
        return approveFormSign;
    }

    public void setApproveFormSign(String approveFormSign) {
        this.approveFormSign = approveFormSign;
    }

    @Override
    public int compareTo(@NotNull FlowFormSuggestionJiaResult o) {
        if (o.getCreateTime() < this.getCreateTime()) {
            return 1;
        } else if (o.getCreateTime() > this.getCreateTime()) {
            return -1;
        } else {
            return 0;
        }
    }
}
